Skip to main content
GET
/
v1
/
payouts
List payouts
curl --request GET \
  --url https://api.leanrails.com/v1/payouts \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "data": [
    {
      "id": "po_xxx",
      "object": "payout",
      "amount": 123,
      "currency": "<string>",
      "status": "pending",
      "method": "standard",
      "type": "bank_account",
      "arrival_date": 123,
      "automatic": true,
      "source_type": "<string>",
      "reconciliation_status": "<string>",
      "metadata": {},
      "created": 123,
      "livemode": true,
      "destination": "<string>",
      "description": "<string>",
      "statement_descriptor": "<string>",
      "balance_transaction": "<string>",
      "failure_balance_transaction": "<string>",
      "failure_code": "<string>",
      "failure_message": "<string>",
      "original_payout": "<string>",
      "reversed_by": "<string>",
      "canceled_at": 123,
      "failed_at": 123,
      "paid_at": 123
    }
  ],
  "has_more": true,
  "url": "/v1/payouts",
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fluveo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Query Parameters

limit
integer
default:10

Number of objects to return (1-100).

Required range: 1 <= x <= 100
starting_after
string

Cursor for forward pagination. The ID of the last object in the previous page.

ending_before
string

Cursor for backward pagination. The ID of the first object in the previous page.

status
enum<string>

Filter by payout status.

Available options:
pending,
paid,
failed,
canceled

Response

A list of Payouts.

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required
Example:

"/v1/payouts"

next_cursor
string | null